
uniform vec3 Color;

uniform sampler2D Texture;
in vec2 texCoords;

out vec4 result;

void main() {
	vec2 lumAlpha = texture(Texture, texCoords).rg;
	
	result = vec4(Color * lumAlpha.x, lumAlpha.y);
}
