
// radii
uniform float Rg, Rt, RL;

// resolutions
uniform int TRANSMITTANCE_W, TRANSMITTANCE_H, SKY_W, SKY_H;
uniform int RES_MU_S, RES_NU, RES_MU, RES_R;

// Rayleigh
uniform float HR;
uniform vec3 betaR;

// Mie - default
uniform float HM;
uniform vec3 betaMSca, betaMEx;
uniform float mieG;

const float AVERAGE_GROUND_REFLECTANCE = 0.1;

const int TRANSMITTANCE_INTEGRAL_SAMPLES = 512;
const int INSCATTER_INTEGRAL_SAMPLES = 50;
const int IRRADIANCE_INTEGRAL_SAMPLES = 32;
const int INSCATTER_SPHERICAL_INTEGRAL_SAMPLES = 16;

const float M_PI = 3.141592657;
