
shaders = {
	
	gui_textquad = new_shader {
		"gui_textquad.vert",
		"gui_textquad.frag",
	},
	
	gui_texturedquad = new_shader {
		"gui_texturedquad.vert",
		"gui_texturedquad.frag",
	},
	
	gui_solidquad = new_shader {
		"gui_solidquad.vert",
		"gui_solidquad.frag",
	},
	
	gui_textfield = new_shader {
		"gui_textfield.vert",
		"gui_textfield.frag",
	},
	
	gui_intrologo = new_shader {
		"gui_intrologo.vert",
		"gui_intrologo.frag",
	},
	
	font_texture = new_shader {
		"font_texture.vert",
		"font_texture.frag",
	},
	
	terrain = new_shader {
		"terrain.vert",
		"terrain.tesc",
		"terrain.tese",
		"terrain.geom",
		"g_buffers_out.frag",
		"terrain.frag",
	},
	
	sky_terrain_scattering = new_shader {
		"sky.vert",
		"g_buffers_in.frag",
		"sky_pre_constants.frag",
		"sky_pre_functions.frag",
		"sky_terrain_scattering.frag",
	},
	sky_sky_scattering = new_shader {
		"sky.vert",
		"g_buffers_in.frag",
		"sky_pre_constants.frag",
		"sky_pre_functions.frag",
		"sky_sky_scattering.frag",
	},
	sky_pre_transmittance = new_shader {
		"sky_pre_quad.vert",
		"sky_pre_constants.frag",
		"sky_pre_functions.frag",
		"sky_pre_transmittance.frag",
	},
	sky_pre_delta_e0 = new_shader {
		"sky_pre_quad.vert",
		"sky_pre_constants.frag",
		"sky_pre_functions.frag",
		"sky_pre_delta_e0.frag",
	},
	sky_pre_delta_s0 = new_shader {
		"sky_pre_quad.vert",
		"sky_pre_layers.geom",
		"sky_pre_constants.frag",
		"sky_pre_functions.frag",
		"sky_pre_delta_s0.frag",
	},
	sky_pre_inscatter0 = new_shader {
		"sky_pre_quad.vert",
		"sky_pre_layers.geom",
		"sky_pre_constants.frag",
		"sky_pre_functions.frag",
		"sky_pre_inscatter0.frag",
	},
	
	sky_pre_delta_j = new_shader {
		"sky_pre_quad.vert",
		"sky_pre_layers.geom",
		"sky_pre_constants.frag",
		"sky_pre_functions.frag",
		"sky_pre_delta_j.frag",
	},
	sky_pre_delta_en = new_shader {
		"sky_pre_quad.vert",
		"sky_pre_constants.frag",
		"sky_pre_functions.frag",
		"sky_pre_delta_en.frag",
	},
	sky_pre_delta_sn = new_shader {
		"sky_pre_quad.vert",
		"sky_pre_layers.geom",
		"sky_pre_constants.frag",
		"sky_pre_functions.frag",
		"sky_pre_delta_sn.frag",
	},
	sky_pre_add_delta_en = new_shader {
		"sky_pre_quad.vert",
		"sky_pre_constants.frag",
		"sky_pre_add_delta_en.frag",
	},
	sky_pre_add_delta_sn = new_shader {
		"sky_pre_quad.vert",
		"sky_pre_layers.geom",
		"sky_pre_constants.frag",
		"sky_pre_functions.frag",
		"sky_pre_add_delta_sn.frag",
	},
	
	aa = new_shader {
		"aa.vert",
		"g_buffers_in.frag",
		"aa.frag",
	},
	
	light_directional = new_shader {
		"light_directional.vert",
		"g_buffers_in.frag",
		"light_directional.frag",
	},
	light_point = new_shader {
		"light_point.vert",
		"g_buffers_in.frag",
		"light_point.frag",
	},
	light_spot = new_shader {
		"light_spot.vert",
		"g_buffers_in.frag",
		"light_spot.frag",
	},
}
