
uniform float Brightness;
uniform sampler2D Texture;

in vec2 texCoords;

out vec4 result;

void main() {
	vec4 color = texture(Texture, texCoords);
	result = vec4(vec3(color.a) * Brightness, 1.0);
}