
uniform vec4 Color = vec4(1.0f, 0.0f, 1.0f, 1.0f);

uniform sampler2D Texture;
in vec2 texCoords;

out vec4 result;

void main()
{
	vec2 lumAlpha = texture(Texture, texCoords).rg;
	
	result = vec4(Color.rgb * lumAlpha.x, Color.a * lumAlpha.y);
}
