
in vec2 Vertex;

uniform mat4 ModelViewProjectionMatrix, ViewMatrix;

uniform vec3 LightDirection;

out vec3 vs_lightdir;

void main() {
	vs_lightdir = (ViewMatrix * vec4(LightDirection, 0.0)).xyz;
	
	gl_Position = ModelViewProjectionMatrix * vec4(Vertex, 0.0, 1.0);
}
