
in vec3 Vertex;

uniform mat4 ModelViewProjectionMatrix;

uniform vec3 LightPosition;
uniform float LightRadius;

void main() {
	gl_Position = ModelViewProjectionMatrix * vec4(normalize(Vertex) * LightRadius + LightPosition, 1.0);
}
