
flat in int layer;
flat in float r;
flat in vec4 dhdH;

uniform sampler3D RayleighDeltaSTexture;

out vec4 result;

void main() {
    float mu, muS, nu;
    getMuMuSNu(r, dhdH, mu, muS, nu);
    vec3 uvw = vec3(gl_FragCoord.xy, float(layer) + 0.5) / vec3(ivec3(RES_MU_S * RES_NU, RES_MU, RES_R));
    result = vec4(texture(RayleighDeltaSTexture, uvw).rgb / phaseFunctionR(nu), 0.0);
}